Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Drew Adams <[email-masked]>
Date: Thu, 2 May 2019 17:27:14 -0700 (PDT)

> >> It doesn't do that over here.
> >
> > Over here meaning what?  Which sentence are you
> > referencing: mouse position or window switching?
> 
> Doesn't switch to another window.
> 
> > Do you have non-nil `pop-up-frames'?
> 
> Nope, but that doesn't seem to affect the non-window-switching.
> 
> > Are buffers named `*...*' special-display buffers for you?
>
> No idea what that means.

Customize option `special-display-regexps' to
`("[ ]?[*][^*]+[*]")', for example.

> > Yes, I was describing what I see in my setup,
> > which has those things.
> 
> And I'm describing 'emacs -Q'.

I just reported the bug.  If you want to fix it, fine.
If not, OK.  I'm not a user of xref, so far.  I simply
tried it and immediately fell upon the problem reported.

I have nil `mouse-1-click-follows-link', non-nil
`pop-up-frames', and `("[ ]?[*][^*]+[*]")' for
`special-display-regexps' (which affects a buffer named
`*xref*').

If the bug report helps, great.  If you apply the fix
I suggested (from the manual, about Emacs conventions,
and shown as example for `compile.el'), fine.  If you
apply some other fix, fine.  If you leave it as is, too
bad for some xref users, probably.  Or maybe someone
else will fix it later.